package util

import (
	"ZhenTuLocalPassiveAdapter/dto"
	"testing"
	"time"
)

func TestMain(m *testing.M) {
	// 示例数据
	fileList := []dto.File{
		{StartTime: time.Date(2023, 1, 1, 0, 0, 0, 0, time.UTC), EndTime: time.Date(2023, 1, 1, 0, 1, 0, 0, time.UTC)},
		{StartTime: time.Date(2023, 1, 1, 0, 1, 0, 0, time.UTC), EndTime: time.Date(2023, 1, 1, 0, 2, 0, 0, time.UTC)},
		{StartTime: time.Date(2023, 1, 1, 0, 2, 0, 0, time.UTC), EndTime: time.Date(2023, 1, 1, 0, 3, 0, 0, time.UTC)},
		{StartTime: time.Date(2023, 1, 1, 0, 3, 0, 0, time.UTC), EndTime: time.Date(2023, 1, 1, 0, 4, 0, 0, time.UTC)},
		{StartTime: time.Date(2023, 1, 1, 0, 4, 0, 0, time.UTC), EndTime: time.Date(2023, 1, 1, 0, 5, 0, 0, time.UTC)},
		{StartTime: time.Date(2023, 1, 1, 0, 5, 0, 0, time.UTC), EndTime: time.Date(2023, 1, 1, 0, 6, 0, 0, time.UTC)},
		{StartTime: time.Date(2023, 1, 1, 0, 6, 0, 0, time.UTC), EndTime: time.Date(2023, 1, 1, 0, 7, 0, 0, time.UTC)},
	}
	beginDt := time.Date(2023, 1, 1, 0, 2, 10, 0, time.UTC)
	endDt := time.Date(2023, 1, 1, 0, 2, 20, 0, time.UTC)
	filteredFiles := FilterAndSortFiles(fileList, beginDt, endDt)
	for _, file := range filteredFiles {
		println(file.StartTime.String(), file.EndTime.String())
	}
}
